Subject: bug#16617: 24.3.50; REGRESSION: `C-q ?' pops up annoying *Char Help* buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Apr 2014 22:43:40 +0300

> Date: Fri, 4 Apr 2014 09:25:19 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Not sure I agree about '?', but in any case this is NOT the main part
> > of Drew's complaints.  He says that help text should not be shown at
> > all, ever.
> 
> No, I did NOT say that at all.  You seem to have trouble reading the
> bug report.  I said that THIS bug is ONLY that the help text is shown
> for `?' in contexts where `?' is not a help character.

Ts-ts-ts, and I was having such a good day until now...  Oh, well...

Drew in his original report:

> 3. This *Char Help* buffer should not be popped up at all - for ANY char
>    that you type after `C-q'.  This is a misfeature.

(Of course now you will claim that F1 is not a character.)

> > _That_ is certainly not a regression, as Emacs have
> > behaved like that since about forever.
> 
> I also doubt that that is true.  Certainly in Emacs 20 `C-q ?'
> inserts `?' when `?' is not a help char.  IOW, THIS regression is
> not present in Emacs 20.

Try with F1.

> And `grep' does not find "Char Help" anywhere in the Emacs 20 lisp
> or C files.

It was just *Help* back then.